Page MenuHomePhabricator

Follow Templates
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/Extension_talk:Lingo#lqt_thread_id_29197, 46.5.176.184‎, 09:56, 18 June 2013:
We have many, many special names in our Glossary. So the List is very long. I want to group the list under some headlines and sometimes to reuse in other sites.

So i tried to use templates for some sections. Unfortunately Lingo does not follow Templates like:

Template:GLOSSAR REPORTS


Version: unspecified
Severity: enhancement

Details

Reference
bz55831

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:12 AM
bzimport set Reference to bz55831.
Foxtrott created this task.Oct 17 2013, 9:16 AM

Who closed this? Is it fixed? I'd like the ability to use parsed wiki text (e.g. templates here) and it doesn't look like I can.

MarkAHershberger reopened this task as Open.Dec 27 2014, 4:35 PM
MarkAHershberger set Security to None.

Example of what I'm looking for (which may mean opening a new task):

Sample Wikitext:

; word
: Definition [[with link]]

Expected hovertext on "word" would be "Definition <a href='...'>with link</a>" (with the link rendered -- no angle brackets displayed).

Instead the hovertext on "word" is "Definition [[with link]]".

Foxtrott triaged this task as Low priority.Feb 8 2016, 10:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2016, 10:15 AM
Foxtrott closed this task as Resolved.Mar 15 2018, 8:49 PM

The original issue was about composing the glossary of templates. This is not possible as Lingo works on the original wikitext, so no expansion of templates is done. A partial fix for this was introduced some time in 2013 I think. Since then Lingo ignores any line not starting with a : or ;, so it is at least possible to use e.g. headlines to structure the glossary a bit.

Now, parsing definitions was just introduced in 79ed8625fb5, so I am going to close this again.